Bug 13410 - Untranslatable "Change messaging preferences to default for this category?"
Summary: Untranslatable "Change messaging preferences to default for this category?"
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: I18N/L10N (show other bugs)
Version: 3.16
Hardware: All All
: P5 - low trivial (vote)
Assignee: Marc Véron
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-12-08 16:28 UTC by Marc Véron
Modified: 2016-06-21 21:37 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: String patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 13410 - Untranslatable "Change messaging preferences to default for this category?" (1.41 KB, patch)
2014-12-09 16:42 UTC, Marc Véron
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 13410 - Untranslatable "Change messaging preferences to default for this category?" (1.50 KB, patch)
2014-12-10 13:13 UTC, Owen Leonard
Details | Diff | Splinter Review
[PASSED QA] Bug 13410 - Untranslatable "Change messaging preferences to default for this category?" (1.51 KB, patch)
2014-12-12 14:02 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 13410 [QA Followup] (1.07 KB, patch)
2014-12-12 14:02 UTC, Kyle M Hall
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Marc Véron 2014-12-08 16:28:26 UTC
To reproduce:

In staff client, go to Home > Patrons
Click button "New patron" and choose a category
Change Patron messaging preferences
Now change Category
Message box asks for confirmation ("Change messaging preferences to default for this category?")
Do the same in an other language
Result: Text appears in English.

Reason: JavaScript message is not surrounded by _(...) in memberentrygen.tt line 1343
Comment 1 Marc Véron 2014-12-09 16:42:43 UTC Comment hidden (obsolete)
Comment 2 Owen Leonard 2014-12-10 13:13:15 UTC Comment hidden (obsolete)
Comment 3 Kyle M Hall 2014-12-12 14:02:21 UTC
Created attachment 34343 [details] [review]
[PASSED QA] Bug 13410 - Untranslatable "Change messaging preferences to default for this category?"

To test:
In staff client, go to Home > Patrons
Click button "New patron" and choose a category
Change Patron messaging preferences
Now change Category
Make sure that following message box still appears: "Change messaging
preferences to default for this category?"

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 4 Kyle M Hall 2014-12-12 14:02:34 UTC
Created attachment 34344 [details] [review]
Bug 13410 [QA Followup]
Comment 5 Tomás Cohen Arazi 2014-12-17 23:10:41 UTC
Patch pushed to master.

Thanks Marc!
Comment 6 Chris Cormack 2014-12-18 01:18:23 UTC
Contains string changes, holding for 3.18.3
Comment 7 Chris Cormack 2014-12-23 07:14:29 UTC
Pushed to 3.18.x will be in 3.18.3
Comment 8 Mason James 2015-01-16 18:22:32 UTC
(In reply to Chris Cormack from comment #6)
> Contains string changes, holding for 3.18.3

Contains string changes, holding for 3.18.8
Comment 9 Mason James 2015-01-16 18:23:20 UTC
(In reply to Mason James from comment #8)
> (In reply to Chris Cormack from comment #6)
> > Contains string changes, holding for 3.18.3
> 
> Contains string changes, holding for 3.18.8

oops ^

Contains string changes, holding for 3.16.8
Comment 10 Mason James 2015-01-18 00:26:54 UTC
Pushed to 3.16.x, will be in 3.16.7